# ACFFoliaScheduler (ACF (Bukkit) 0.5.1-SNAPSHOT API)
declaration: package: co.aikar.commands, class: ACFFoliaScheduler

Package co.aikar.commands

# Class ACFFoliaScheduler

java.lang.Object
co.aikar.commands.ACFBukkitScheduler
co.aikar.commands.ACFFoliaScheduler

public class ACFFoliaScheduler extends ACFBukkitScheduler

## Constructor Summary

Constructors
Constructor
Description
`ACFFoliaScheduler()`

## Method Summary

Modifier and Type
Method
Description
`void`
`cancelLocaleTask()`
`void`
`createDelayedTask(org.bukkit.plugin.Plugin plugin, Runnable task, long delay)`
`void`
`createLocaleTask(org.bukkit.plugin.Plugin plugin, Runnable task, long delay, long period)`
`void`
`registerSchedulerDependencies(BukkitCommandManager manager)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ACFFoliaScheduler

public ACFFoliaScheduler()

## Method Details

### registerSchedulerDependencies

public void registerSchedulerDependencies (BukkitCommandManager manager)

Overrides:
  `registerSchedulerDependencies` in class `ACFBukkitScheduler`

### createDelayedTask

public void createDelayedTask (org.bukkit.plugin.Plugin plugin, Runnable task, long delay)

Overrides:
  `createDelayedTask` in class `ACFBukkitScheduler`

### createLocaleTask

public void createLocaleTask (org.bukkit.plugin.Plugin plugin, Runnable task, long delay, long period)

Overrides:
  `createLocaleTask` in class `ACFBukkitScheduler`

### cancelLocaleTask

public void cancelLocaleTask()

Overrides:
  `cancelLocaleTask` in class `ACFBukkitScheduler`